Bug 200512 - Add missing South African localisation to OpenOffice.org
Add missing South African localisation to OpenOffice.org
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: openoffice.org (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Caolan McNamara
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-07-28 07:00 EDT by Dwayne Bailey
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version: 2.0.3-7.7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-07-31 07:10:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dwayne Bailey 2006-07-28 07:00:53 EDT
Description of problem:
Not all South African localisation are available on Fedora, yet they are
included in the upstream OpenOffice.org

Version-Release number of selected component (if applicable):
2.0.2

How reproducible:
Check in any yum repository

Steps to Reproduce:
1. yum search openoffice | grep langpack
2. Check for ISO codes for South African languages
  
Actual results:
Only these localse are available:
af_ZA
zu_ZA

Expected results:
See all of the ZA locales:
af (Afrikaans)
en-ZA (SOuth African English)
nr (Ndebele)
nso (Northern Sotho)
ss (Swati)
st (Sotho)
tn (Tswana)
ts (Tsonga)
ve (Venda)
xh (Xhosa)
zu (Zulu)

Additional info:
The following seem to have been added to Rawhide: nso, tn, ts
Comment 1 Caolan McNamara 2006-07-28 08:53:29 EDT
I can't add a new rpms to a released FC5, so this can only be addressed for FC6

FWIW, I don't include any of the english varients except "en_US" as one single
en (same as for de and fr), and include all the en dictionaries into that. And
then alias all en's to that (including my own en_IE)

So...

af_ZA is in FC5/FC6, ok
zu_ZA is in FC5/FC6, ok

nso is in FC6, ok
tn is in FC6, ok
ts is in FC6, ok

nr is missing, not ok
ss is missing, not ok
st is missing, not ok
ve is missing, not ok
xh is missing, not ok

5 langpacks for FC6, => approx 50megs. I'm going to be popular
Comment 2 Caolan McNamara 2006-07-28 10:52:23 EDT
extra ones added to spec, pending next build

Note You need to log in before you can comment on or make changes to this bug.